Arch Armierung GeradlinigeBewehrung

From FreeCAD Documentation
Revision as of 20:06, 23 September 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Arch Bewehrungsstab gerade

Menüeintrag
Arch → Rebar tools
Arbeitsbereich
Arch, BIM
Standardtastenkürzel
Keiner
Eingeführt in Version
0.17
Siehe auch
U-förmiger Bewehrungsstab, Bewehrungsstab

Beschreibung

Das Gerader Bewehrungsstab-Werkzeug erlaubt es dem Anwender, einen Satz von geraden Bewehrungsstäben in einem Struktur-Objekt zu erstellen.

The Arch Straight Rebar tool is also integrated into BIM Workbench.

Dieser Befehl ist Teil des Reinforcement-Addons, das mit dem Addon-Manager über das Menü Werkzeuge → Addon-Manager → Reinforcement installiert werden kann.

Zwei Sätze von geraden Bewehrungsstäben in einer Struktur

Anwendung

  1. Wähle eine beliebige Fläche eines vorher erstellten Struktur-Objekts.
  2. Wähle dann Gerader Bewehrungsstab aus den Bewehrungsstab-Werkzeugen.
  3. Ein Aufgaben-Paneel wird auf der linken Seite des Bildschirm angezeigt wie im folgenden Bild dargestellt.
  4. Wähle die gewünschte Ausrichtung.
  5. Gib die Werte für vordere, rechte, linke, obere und untere Fläche an, außerdem Durchmesser des Bewehrungsstabes.
  6. Wähle den Verteilungsmodus, entweder amount (Menge) oder spacing (Abstand).
  7. Falls 'spacing' gewählt wurde, kann auch benutzerdefinierter Abstand gewählt werden.
  8. Wähle 'Pick selected face' zur Überprüfung oder ändere die Fläche zur Verteilung der Bewehrungsstäbe.
  9. Klicke OK oder Anwenden zur Erzeugung der Bewehrungsstäbe.
  10. Klicke Abbrechen zum Verlassen des Aufgaben-Paneels.

Aufgaben-Ansicht für das Arch Bewehrungsstab gerade-Werkzeug

Eigenschaften

  • DatenOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DatenFront Cover: The distance between rebar and selected face.
  • DatenRight Cover: The distance between the right end of the rebar to right face of the structure.
  • DatenLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DatenCover along: These property facilities the user to specify either top or bottom cover.
  • DatenBottom Cover: The distance between rebar from the bottom face of the structure.
  • DatenTop Cover: The distance between rebar from the top face of the structure.
  • DatenAmount: The amount of rebars.
  • DatenSpacing: The distance between the axes of each bar.

Scripting

Siehe auch: Arch API,Reinforcement-API und FreeCAD Scripting Basics.

Das Gerader Bewehrungsstab-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Rebar = makeStraightRebar(f_cover, coverAlong, rt_cover, lb_cover,
                          diameter, amount_spacing_check, amount_spacing_value, orientation="Horizontal",
                          structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • f_cover, coverAlong, rt_cover, and lb_cover are inner offset distances for the rebar elements with respect to the faces of the structure.
    • f_cover is the frontal cover offset.
    • coverAlong is a tuple (position, value) that defines the offset value in one position (top, bottom, left, right) depending on the orientation.
    • rt_cover is either the right or the top cover offset, depending on the value of coverAlong and orientation.
    • lb_cover is either the left or the bottom cover offset, depending on the value of coverAlong and orientation.
  • diameter is the diameter of the reinforcement bars inside the structure.
  • amount_spacing_check if it is True it will create as many reinforcement bars as given by amount_spacing_value; if it is False it will create reinforcement bars separated by the numerical value of amount_spacing_value.
  • amount_spacing_value specifies the number of reinforcement bars, or the value of the separation between them, depending on amount_spacing_check.
  • orientation specifies the orientation of the rebar; it can be "Horizontal" or "Vertical".

Depending on the orientation of the rebar, the function can be called in two general ways by setting coverAlong appropriately.

Der Bewehrungsstab ist horizontal

Rebar = makeStraightRebar(f_cover, ("Top Side", value), right_cover, left_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Bottom Side", value), right_cover, left_cover, ...)
  • coverAlong is a tuple with either a "Top Side" or a "Bottom Side" offset value.
  • In this case rt_cover refers to the right_cover offset, and lb_cover refers to the left_cover offset.

Der Bewehrungsstab ist vertikal

Rebar = makeStraightRebar(f_cover, ("Left Side", value), top_cover, bottom_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Right Side", value), top_cover, bottom_cover, ...)
  • coverAlong is a tuple with either a "Left Side" or a "Right Side" offset value.
  • In this case rt_cover refers to the top_cover offset, and lb_cover refers to the bottom_cover offset.

Beispiel horizontal

import Arch, Draft, StraightRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = StraightRebar.makeStraightRebar(50, ("Bottom Side", 20), 100, 100,
                                        12, True, 5, "Horizontal", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = StraightRebar.makeStraightRebar(50, ("Bottom Side", 50), 100, 100,
                                         12, True, 5, "Horizontal", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Beispiel vertikal

import Arch, Draft, StraightRebar

Structure2 = Arch.makeStructure(length=1000, width=1000, height=400)
Structure2.ViewObject.Transparency = 80
Draft.move(Structure2, FreeCAD.Vector(1500, 0, 0))
FreeCAD.ActiveDocument.recompute()

Rebar3 = StraightRebar.makeStraightRebar(50, ("Left Side", 20), 100, 100,
                                         12, True, 5, "Vertical", Structure2, "Face4")
Rebar3.ViewObject.ShapeColor = (0.9, 0.5, 0.0)

Rebar4 = StraightRebar.makeStraightRebar(50, ("Left Side", 50), 100, 100,
                                         12, True, 5, "Vertical", Structure2, "Face6")
Rebar4.ViewObject.ShapeColor = (0.0, 0.5, 0.5)

Anpassung des Bewehrungsstabs

Die Eigenschaften des Bewehrungsstabs lassen sich mit der folgenden Funktion verändern

editStraightRebar(Rebar, f_cover, coverAlong, rt_cover, lb_cover,
                  diameter, amount_spacing_check, amount_spacing_value, orientation,
                  structure=None, facename=None)
  • Rebar ist ein vorher erzeugtes StraightRebar-Objekt.
  • Die anderen Parameter sind die gleichen wie die für die makeStraightRebar()-Funktion erforderlichen.
  • structure und facename können weggelassen werden, so dass die Bewehrung in der ursprünglichen Struktur bleibt.

Beispiel:

import StraightRebar

StraightRebar.editStraightRebar(Rebar, 50, ("Top Side", 20), 100, 100,
                                24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar2, 50, ("Top Side", 50), 100, 100,
                                24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar3, 50, ("Right Side", 20), 100, 100,
                                24, True, 7, "Vertical")

StraightRebar.editStraightRebar(Rebar4, 50, ("Right Side", 50), 100, 100,
                                24, True, 7, "Vertical")